/**************************************************************************\
*                                                                          *
*                                                                          *
*    *****                      *****                                      *
*      *****                  *****                                        *
*        *****              *****                                          *
*          *****          *****                                            *
*            *****      *****                                              *
*              *****  *****                                                *
*            *****      *****                                              *
*          *****          *****          The Firmware. The Net.            *
*        *****              *****        Portable. Compatible.             *
*      *****                  *****      Public Domain.                    *
*    *****                      *****    By NORD><LINK.                    *
*                                                                          *
*                                                                          *
*                                                                          *
*    ALL.H   -   Headerfile fuer alle C-Sources                            *
*                                                                          *
*    angelegt:      DC4OX                                                  *
*    modifiziert:                                                          *
*                                                                          *
\**************************************************************************/





/*                                                         Festlegungen   */
/**************************************************************************/

#define FIRMWARE              /*   defined :  Compilieren TheFirmware     */
                              /* undefined :  Compilieren TheNet          */

#ifdef FIRMWARE
#define LINKNMBR     4        /* maximale Anzahl Links = Connect-Kanaele  */
#else
#define LINKNMBR    25
#endif

#define TRUE        1         /* BOOLEAN TRUE                             */
#define FALSE       0         /* BOOLEAN FALSE                            */
#define YES         1         /* TRUE-Synonym                             */
#define NO          0         /* FALSE-Synonym                            */
#define ERROR       (-1)      /* Fehler                                   */
#define LOOP        for(;;)   /* Endlosschleife                           */
#define STACKLEN    384       /* Anzahl Bytes fuer Systemstack            */
#define MAGIC       0x4D5A    /* "magic number", Warmstartfeststellung    */
                              /* (MSDOS laesst gruessen ...)              */

                              /* Portnummern :                            */
#define HDLCPORT    0         /*   Packet-Port                            */
#define ASYNPORT    1         /*   RS232 Crosslink-Port                   */

#define NULL        0         /* leerer Inhalt, leerer Zeiger,            */
                              /* sollte bei 8-Bit-Systemen 0, bei 16-Bit- */
                              /* Systemen 0L heissen, 0L weil NULL auch   */
                              /* als Parameter moeglich ist, 0L bei       */
                              /* 8-Bit-Systemen kann aber dazu fuehren,   */
                              /* dass die 32-Bit-Bibliothek geladen wird, */
                              /* ohne dass sie benutzt wird               */





/*                                                       einfache Typen   */
/**************************************************************************/

typedef int        VOID;      /* Keine-Parameter-Zurueck-Funktion         */
typedef unsigned   BOOLEAN;   /* 1 = TRUE, 0 = FALSE                      */



/* Ende von ALL.H */
  